* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: Inter, Arial, Helvetica, sans-serif;
}

.container,
form,
.color-container,
.color-text,
.color-text-container,
.actionable {
  display: flex;
  height: 100%;
  align-items: center;
}

.container {
  width: 100vw;
  justify-content: center;
}

header {
  padding: 2em 1em;
  height: 60px;
}

form {
  align-items: center;
  justify-content: space-between;
}

form > button {
  background-color: rgb(87, 159, 228);
  color: white;
  font-weight: 600;
  max-width: 250px;
  margin-right: 1em;
}

input,
select,
button {
  width: 30%;
  height: 40px;
  font-family: Inter, Arial, Helvetica, sans-serif;
  background-color: white;
  border-radius: 4px;
  border: 1px solid #d1d5db;
  color: black;
  cursor: pointer;
}

input {
  width: 60px;
}

select {
  width: fit-content;
  text-align: center;
  width: 250px;
}

button {
  background-color: white;
  border-radius: 4px;
  border: 1px solid #d1d5db;
}

.actionable {
  gap: 1em;
}
.color-text > button {
  border: none;
}

.color-text {
  justify-content: space-around;
  margin-top: 1em;
}
.color {
  width: 100%;
  height: 80vh;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
}

.app {
  width: 100%;
  height: 90%;
  z-index: 2;
  background-color: white;
}

.fa-copy {
  width: 100%;
  height: 100%;
}

@media (max-width: 750px) {
  select {
    width: fit-content;
  }

  .color {
    width: 100%;
    height: 70vh;
    font-size: 0.75rem;
    text-align: center;
  }

  .actionable {
    margin-right: 1em;
  }
}
